### Property

# Clutter Actor:clip-to-allocation

#### Declaration

    property clip-to-allocation: gboolean [ read, write ]

#### Description [src]

Whether the clip region should track the allocated area of the actor.

This property is ignored if a clip area has been explicitly set using clutter_actor_set_clip().

Type:`gboolean`

Default value | FALSE
Getter method | `clutter_actor_get_clip_to_allocation()`
Setter method | `clutter_actor_set_clip_to_allocation()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no